micro_utils.dokka
0.15.1

# calculatePagesNumber

fun calculatePagesNumber(datasetSize: Long, pageSize: Int): Int
fun calculatePagesNumber(datasetSize: Int, pageSize: Int): Int

Calculates pages count for given datasetSize

fun calculatePagesNumber(pageSize: Int, datasetSize: Long): Int

Calculates pages count for given datasetSize. As a fact, it is shortcut for calculatePagesNumber

#### Return

calculated page number which can be correctly used in PaginationResult as PaginationResult.page value